import { jsx } from 'react/jsx-runtime';
import { Button } from '../Button/Button.mjs';
import '../Button/ButtonGroup.mjs';
import { ConfirmButton } from './ConfirmButton.mjs';

const DeleteButton = ({ size, disabled, onConfirm, "aria-label": ariaLabel, closeOnConfirm }) => {
  return /* @__PURE__ */ jsx(
    ConfirmButton,
    {
      confirmText: "Delete",
      confirmVariant: "destructive",
      size: size || "md",
      disabled,
      onConfirm,
      closeOnConfirm,
      children: /* @__PURE__ */ jsx(Button, { "aria-label": ariaLabel, variant: "destructive", icon: "times", size: size || "sm" })
    }
  );
};

export { DeleteButton };
//# sourceMappingURL=DeleteButton.mjs.map
